<article class="box">
	<style>
		@scope {
			p {
				margin-bottom: 1rem;
			}

			.fieldset--grid {
				display: grid;
				gap: .75rem;
				grid-template-columns: 1fr 1fr;
			}

			hr {

				border-color: var(--c-slate-200);
				margin: 1rem 0;
			}

			.checkbox {
				margin: .5rem 0;
				line-height: 1.25;

				input[type="checkbox"] {
					display: inline-block;
					margin-inline-end: .5rem;
					border: 1px solid var(--c-slate-300);
					aspect-ratio: 1;
					vertical-align: text-middle;
					padding: .5rem;
				}

				label {
					font-size: 1rem;
					display: inline;
				}
			}
		}
	</style>

	<h2>Atribuir Bônus</h2>
	<p>
		Utilize o formulário abaixo para conceder um bônus previamente criado
		para um usuário. Caso o bônus não exista, crie-o através da tabela
		anterior. (O formulário abaixo cria uma entrada na tabela PESSOABONUS):

	</p>
	<form hx-post="{{ url_for('bikesp._admin_concede_bonus') }}" hx-swap="none" hx-target-error="#error-fallback" hx-on:submit="this.reset()">
		<fieldset class="fieldset--grid">
			<div>
				<label for="pessoa-id">
					ID da Pessoa
				</label>
				<input type="number" id="pessoa-id" name="pessoa-id" min="0" placeholder="ex.: 15" required />
			</div>

			<div>
				<label for="bonus-id">
					ID do bônus
				</label>
				<input type="number" id="bonus-id" name="bonus-id" min="0" placeholder="ex.: 20" required />
			</div>
		</fieldset>

		<hr />

		<fieldset class="fieldset--grid">
			<div>
				<label for="date">
					Data de concessão do bônus (opcional)
				</label>
				<input type="datetime-local" id="date" name="date" />
			</div>

		</fieldset>

		<button type="submit">
			Atribuir bônus ao usuário
		</button>
	</form>
</article>
